QGIS Application - Feature request #16959
Allow to toggle Symbol layer types on and off
2017-08-02 10:22 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24858
Description

When developing more complex styles you sometimes want to see the single layers of the style independently. It would be great if the
symbol layers had checkboxes to toggle them on and off (like eg map layers do).

History

#1 - 2017-08-02 10:26 PM - Giovanni Manghi
- Status changed from Open to Feedback
- File Screen Shot 2017-08-02 at 9.26.28 PM.png added

like in the attached image?

#2 - 2017-08-02 10:41 PM - Johannes Kroeger
- File symbol layer toggles.png added

Those would be categories | think. | meant the thingies in this image.

#3 - 2017-08-02 10:42 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-08-03 10:45 AM - Nyall Dawson

- Status changed from Open to Closed

It's possible in master (3.0). There's a checkbox at the bottom of the symbol layer properties widget which allows the symbol layer to be disabled.

#5 - 2018-03-27 08:43 PM - Johannes Kroeger

That is very hidden and not suited for a quick-iteration workflow. Any chance of having it look and work like the canvas' layer toggling as in my mockup?

Files
Screen Shot 2017-08-02 at 9.26.28 PM.png 1.34 MB 2017-08-02 Giovanni Manghi
symbol layer toggles.png 27.6 KB 2017-08-02 Johannes Kroeger
